Get Customer Information
1 min
GET
https://api.us1.odp.optimizely.com/v3/profiles
Query Parameters
- paramsmap<string, string>requiredExamplesVUID Identifier:
{ "vuid": "7367361510212356712212576900906231" }Email Identifier:{ "email": "[email protected]" }Description
Responses
202
- ProfileExample
{ "attributes": { "first_name": "Johnny", "last_name": "Test", "email": "[email protected]", "phone": "555-867-5309", "street1": "123 Fake St", "street2": "Apt 101", "city": "Boston", "state": "MA", "zip": "02101", "country": "USA", "timezone": "America/New_York", "gender": "M" } }
400
- undefinedExample
{ "title": "Bad Request", "status": 400, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "invalids": [ { "field": "delimiter", "reason": "Unrecognized delimiter, valid options are comma, tab or pipe" } ] } }
403
- undefinedExample
{ "message": "Forbidden" }
404
- undefinedExample
{ "title": "Bad Request", "status": 404, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "message": "Not found description" } }
curl
curl --request GET \
--url 'https://api.us1.odp.optimizely.com/v3/profiles?params={%22vuid%22%3A%227367361510212356712212576900906231%22}' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.us1.odp.optimizely.com/v3/profiles?params={\"vuid\":\"7367361510212356712212576900906231\"}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.us1.odp.optimizely.com/v3/profiles?params={\"vuid\":\"7367361510212356712212576900906231\"}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.us1.odp.optimizely.com/v3/profiles?params={\"vuid\":\"7367361510212356712212576900906231\"}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
202
// Accepted
{}400
// Bad Request
"{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter, valid options are comma, tab or pipe\"}]}}"403
// Forbidden
"{ \"message\": \"Forbidden\"}"404
// Not Found
"{\"title\":\"Bad Request\",\"status\":404,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"message\":\"Not found description\"}}"